# Class: Updater — Documentation by YARD 0.8.6.1

Class List Method List File List

# Class: Updater

Inherits:
  Object
  - Object
  - Updater
  show all
Defined in:
  lib/common/updater/updater.rb

## Overview

This class act as an absract one

## Direct Known Subclasses

GitUpdater, SvnUpdater

## Instance Attribute Summary (collapse)

- - (Object) repo_directory readonly

  Returns the value of attribute repo_directory.

## Instance Method Summary (collapse)

- - (Updater) initialize(repo_directory = nil) constructor

  TODO : add a last '/ to repo_directory if it's not present.

- - (Boolean) is_installed?
- - (Object) local_revision_number
- - (Object) update

## Constructor Details

### - (`Updater`) initialize(repo_directory = nil)

TODO : add a last '/ to repo_directory if it's not present

    9
    10
    11

    # File 'lib/common/updater/updater.rb', line 9

    def initialize(repo_directory = nil)
      @repo_directory = repo_directory
    end

## Instance Attribute Details

### - (`Object`) repo_directory (readonly)

Returns the value of attribute repo_directory

    6
    7
    8

    # File 'lib/common/updater/updater.rb', line 6

    def repo_directory
      @repo_directory
    end

## Instance Method Details

### - (`Boolean`) is_installed?

Returns:

- (`Boolean`)

Raises:

- (`NotImplementedError`)

    13
    14
    15

    # File 'lib/common/updater/updater.rb', line 13

    def is_installed?
      raise NotImplementedError
    end

### - (`Object`) local_revision_number

Raises:

- (`NotImplementedError`)

    17
    18
    19

    # File 'lib/common/updater/updater.rb', line 17

    def local_revision_number
      raise NotImplementedError
    end

### - (`Object`) update

Raises:

- (`NotImplementedError`)

    21
    22
    23

    # File 'lib/common/updater/updater.rb', line 21

    def update
      raise NotImplementedError
    end